<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::conditioning_class&lt; alphabet_size &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1conditioning__class.html">conditioning_class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1conditioning__class-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::conditioning_class&lt; alphabet_size &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2aa10e4625308ec0f112bc9cab1a87b4"><td class="memItemLeft" align="right" valign="top"><a id="a2aa10e4625308ec0f112bc9cab1a87b4"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__1.html">conditioning_class_kernel_1</a>&lt; alphabet_size &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a</b></td></tr>
<tr class="separator:a2aa10e4625308ec0f112bc9cab1a87b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77a44016d35a2d50301b8fcdb1d7e76"><td class="memItemLeft" align="right" valign="top"><a id="ad77a44016d35a2d50301b8fcdb1d7e76"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__1.html">kernel_1a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a_c</b></td></tr>
<tr class="separator:ad77a44016d35a2d50301b8fcdb1d7e76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41fbf8cd6b4a34869f3cbc38ce14e937"><td class="memItemLeft" align="right" valign="top"><a id="a41fbf8cd6b4a34869f3cbc38ce14e937"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__2.html">conditioning_class_kernel_2</a>&lt; alphabet_size &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2a</b></td></tr>
<tr class="separator:a41fbf8cd6b4a34869f3cbc38ce14e937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497e0c7e3d950b6488c3e6458270cd7f"><td class="memItemLeft" align="right" valign="top"><a id="a497e0c7e3d950b6488c3e6458270cd7f"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__2.html">kernel_2a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_2a_c</b></td></tr>
<tr class="separator:a497e0c7e3d950b6488c3e6458270cd7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ab6a7ed69f658386add2247017554f"><td class="memItemLeft" align="right" valign="top"><a id="ac3ab6a7ed69f658386add2247017554f"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__3.html">conditioning_class_kernel_3</a>&lt; alphabet_size &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3a</b></td></tr>
<tr class="separator:ac3ab6a7ed69f658386add2247017554f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7be95af893b328128c5f11fb0870c6"><td class="memItemLeft" align="right" valign="top"><a id="a2b7be95af893b328128c5f11fb0870c6"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__3.html">kernel_3a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_3a_c</b></td></tr>
<tr class="separator:a2b7be95af893b328128c5f11fb0870c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2752541f8fb95e288c4922356a128ef4"><td class="memItemLeft" align="right" valign="top"><a id="a2752541f8fb95e288c4922356a128ef4"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">conditioning_class_kernel_4</a>&lt; alphabet_size, 10000, <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">mm</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4a</b></td></tr>
<tr class="separator:a2752541f8fb95e288c4922356a128ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa06d63b281e56242af65aa990cc48730"><td class="memItemLeft" align="right" valign="top"><a id="aa06d63b281e56242af65aa990cc48730"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">kernel_4a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4a_c</b></td></tr>
<tr class="separator:aa06d63b281e56242af65aa990cc48730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a661af4f352d54171ff603faf20569031"><td class="memItemLeft" align="right" valign="top"><a id="a661af4f352d54171ff603faf20569031"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">conditioning_class_kernel_4</a>&lt; alphabet_size, 100000, <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">mm</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4b</b></td></tr>
<tr class="separator:a661af4f352d54171ff603faf20569031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee6cf5b7f0e5155b50c8619919597330"><td class="memItemLeft" align="right" valign="top"><a id="aee6cf5b7f0e5155b50c8619919597330"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">kernel_4b</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4b_c</b></td></tr>
<tr class="separator:aee6cf5b7f0e5155b50c8619919597330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09300657f2de500c9756ac44cc55d395"><td class="memItemLeft" align="right" valign="top"><a id="a09300657f2de500c9756ac44cc55d395"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">conditioning_class_kernel_4</a>&lt; alphabet_size, 1000000, <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">mm</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4c</b></td></tr>
<tr class="separator:a09300657f2de500c9756ac44cc55d395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa49dd0ab67b10e33d7c7d33777075a9"><td class="memItemLeft" align="right" valign="top"><a id="aaa49dd0ab67b10e33d7c7d33777075a9"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">kernel_4c</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4c_c</b></td></tr>
<tr class="separator:aaa49dd0ab67b10e33d7c7d33777075a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6478d0c4d6b20179c495f7bf4286ce"><td class="memItemLeft" align="right" valign="top"><a id="aea6478d0c4d6b20179c495f7bf4286ce"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">conditioning_class_kernel_4</a>&lt; alphabet_size, 10000000, <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">mm</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4d</b></td></tr>
<tr class="separator:aea6478d0c4d6b20179c495f7bf4286ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeda54b2b0bd3e3c8bbe6fa4746786193"><td class="memItemLeft" align="right" valign="top"><a id="aeda54b2b0bd3e3c8bbe6fa4746786193"></a>
typedef <a class="el" href="classdlib_1_1conditioning__class__kernel__c.html">conditioning_class_kernel_c</a>&lt; <a class="el" href="classdlib_1_1conditioning__class__kernel__4.html">kernel_4d</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_4d_c</b></td></tr>
<tr class="separator:aeda54b2b0bd3e3c8bbe6fa4746786193"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a58015e00100084c59ef1b87a221b8f84"><td class="memItemLeft" align="right" valign="top"><a id="a58015e00100084c59ef1b87a221b8f84"></a>
typedef <a class="el" href="classdlib_1_1memory__manager.html">memory_manager</a>&lt; char &gt;::kernel_2b&#160;</td><td class="memItemRight" valign="bottom"><b>mm</b></td></tr>
<tr class="separator:a58015e00100084c59ef1b87a221b8f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="conditioning__class_8h_source.html">conditioning_class.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
